Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 256830 - app-cdr/brasero should list which gstreamer plugins are required to support a given format
Summary: app-cdr/brasero should list which gstreamer plugins are required to support a...
Status: RESOLVED DUPLICATE of bug 241674
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: GStreamer package maintainers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-01-29 19:47 UTC by A. Person
Modified: 2010-11-19 23:04 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description A. Person 2009-01-29 19:47:29 UTC
It seems like the brasero ebuild should have a flac USE flag which depends on gst-plugins-good and gst-plugins-flac.

Reproducible: Always
Comment 1 A. Person 2009-01-29 22:24:34 UTC
I should also mention that FLAC files aren't supported in brasero without gst-plugins-good and gst-plugins-flac.
Comment 2 Peter Alfredsen (RETIRED) gentoo-dev 2009-02-08 02:26:14 UTC
Why also gst-plugins-good?
I'm adding a blurb to pkg_postinst about gstreamer installation needing to support the files you want to burn, but a useflag won't be possible, since this is strictly a runtime dependency.
I do think that it would be interesting to have a list of gstreamer plugins and the formats they support though.
Comment 3 Samuli Suominen gentoo-dev 2009-10-03 12:06:52 UTC
The list is provided by 'emerge -pv gst-plugins-meta' at the moment, with the current gst plugins split there's nothing us (media-optical) can do to fix this situation as USE depending on meta pkg would be... ridicilous.

I strongly suggest moving back to -good, -bad, -base, -ugly, ...

Moving to gstreamer@
Comment 4 Pacho Ramos gentoo-dev 2009-12-07 14:19:22 UTC
Only a question, does brasero give you any error messages when trying to handle flac files without needed gst-plugins or does it fail silently?
Comment 5 Gilles Dartiguelongue gentoo-dev 2010-01-03 23:13:58 UTC
this actually would be a duplicate of bug #241674
Comment 6 Pacho Ramos gentoo-dev 2010-11-19 23:04:00 UTC

*** This bug has been marked as a duplicate of bug 241674 ***